
#include <stdio.h>
#include <string.h>

#define MAX_LEN  (72)

char buf[4096];

int main()
{
   int k, n, i, j, m;
   int line;

   line = 0;

   while (gets(buf)) {
      line++;
      n = strlen(buf);

      if (n <= MAX_LEN)
         puts(buf);

      else {
         k = n-1;
         while (k >= 0 && buf[k] != ' ' && buf[k] != '=')
            k--;

         if (k < 0 || k+1 >= MAX_LEN || buf[k] != ' ') {
            fprintf(stderr, "error at line %d\n", line);
            puts(buf);
            continue;
         } 


         k++;

         for (i = 0; i < k; i++) 
            putchar(buf[i]);

         m = k;

         for (i = k; i < n; i++) {
            if (m == MAX_LEN) {
               putchar('\n');
               for (j = 0; j < k; j++) putchar(' ');
               m = k;
            }

            putchar(buf[i]);
            m++;
         }

         putchar('\n');
      }
   }

}
